Add pass geofence
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({latitude: 0, longitude: 0, altitude: 123, relevantText: '<string>'})
};
fetch('https://api.platform.getstell.com/v1/passes/{passId}/geofences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://api.platform.getstell.com/v1/passes/{passId}/geofences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"latitude": 0,
"longitude": 0,
"altitude": 123,
"relevantText": "<string>"
}
'import requests
url = "https://api.platform.getstell.com/v1/passes/{passId}/geofences"
payload = {
"latitude": 0,
"longitude": 0,
"altitude": 123,
"relevantText": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"latitude": 123,
"id": "<string>",
"longitude": 123,
"altitude": 123,
"relevantText": "<string>"
},
"requestId": "<string>"
}{
"requestId": "<string>",
"error": {
"code": "BAD_REQUEST",
"message": "Invalid request parameters",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "FORBIDDEN",
"message": "Access denied to this resource",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal server error occurred",
"details": {}
}
}Engagement
Add pass geofence
Add a single geofence to a pass. Maximum 10 geofences per pass.
POST
https://api.platform.getstell.com
/
v1
/
passes
/
{passId}
/
geofences
Add pass geofence
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({latitude: 0, longitude: 0, altitude: 123, relevantText: '<string>'})
};
fetch('https://api.platform.getstell.com/v1/passes/{passId}/geofences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://api.platform.getstell.com/v1/passes/{passId}/geofences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"latitude": 0,
"longitude": 0,
"altitude": 123,
"relevantText": "<string>"
}
'import requests
url = "https://api.platform.getstell.com/v1/passes/{passId}/geofences"
payload = {
"latitude": 0,
"longitude": 0,
"altitude": 123,
"relevantText": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"latitude": 123,
"id": "<string>",
"longitude": 123,
"altitude": 123,
"relevantText": "<string>"
},
"requestId": "<string>"
}{
"requestId": "<string>",
"error": {
"code": "BAD_REQUEST",
"message": "Invalid request parameters",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "FORBIDDEN",
"message": "Access denied to this resource",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal server error occurred",
"details": {}
}
}Authorizations
API key authentication. Include your API key as a Bearer token.
Example: Bearer sk_prod_xxxxxx
Get your API key from the Stell Dashboard.
Path Parameters
Body
application/json
Request to add a geofence to a pass.
Was this page helpful?